CH_TELL(3)

FUNCTION
ch_tell - Get the read and write pointers for a channel.

SYNOPSIS
#include <karma_ch.h>

flag ch_tell

(Channel channel, unsigned long *read_pos, unsigned long *write_pos)

DESCRIPTION
Get the read and write pointers for a channel.

channel
    The channel object.

read_pos
    The read position (relative to the start of the channel data) will be written here.

write_pos
    The write position (relative to the start of the channel data) will be written here.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/